package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.WcOfertaDescuento;


import javax.ejb.Local;
import java.util.List;

@Local
public interface WcOfertaDescuentoFacadeLocal {

    void create(WcOfertaDescuento wcOfertaDescuento);

    void edit(WcOfertaDescuento wcOfertaDescuento);

    void remove(WcOfertaDescuento wcOfertaDescuento);

    WcOfertaDescuento find(Object id);

    List<WcOfertaDescuento> findAll();

    List<WcOfertaDescuento> findRange(int[] range);

    int count();

    WcOfertaDescuento obtenerProductoDesc(String productoCodigo, String programaCodigo);

}
